/*
 * htest.c --
 *
 *	This file implements a test of the functions in hash.c.
 */

static char rcsid[] =
"$Id: htest.c,v 1.2 2001/07/03 21:46:26 gmt Exp $";

#include "tokInt.h"

static char *strings[] = {
    "a", "b", "c", "d", "e", "f", "g", "h", "i", "j",
    "ham", "cheese", "onions", "tomato", "garlic", "sausage",
    "pepperoni", "mushrooms", "bellpepper", "massachusetts!",
};

int
main(int argc, char *argv[]) {
    char *s;
    int i, h1, h2, h3;
    int n = sizeof(strings) / sizeof(strings[0]);

    for (i = 0; i < n; i++) {
	s = strings[i];
	h1 = TokHash(s);
	h2 = TokRehash(h1);
	h3 = TokRehash(h2);
	printf("%10d %10d %10d  %s\n", h1, h2, h3, s);
    }
    return 0;
}
