package topovista.explorer;

/**
 *  Implements a classic random walk without regard to
 *  repetition or the boundaries of the available data.
 */

class RandomWalk extends Explorer {



RandomWalk() {
    super('r', "random walk");
}



public Cell nextLoc(World w, Cell curr) {
    return w.neighbors(curr)[(int) (4 * Math.random())];
}



} // class RandomWalk
