//  VoteMessage.java -- for leader election


package topovista.toksvc;

import java.net.*;



/**
 *  A VoteMessage signifies that the sender
 *  chooses the recipient in a leader election.
 */
class VoteMessage extends CouncilMessage {



final static int MTYPE = 3;	// type code for this message class



/**
 *  Constructor for synthesizing a new message.
 */
VoteMessage(int term, long msgnum) {
    super(MTYPE, term, msgnum);
}



/**
 *  Constructs a VoteMessage by reading from a Pickle.
 */
VoteMessage(Pickle p) {
    super(p);
}



}  // class VoteMessage
