//  AliveMessage.java -- for leader election


package topovista.toksvc;

import java.net.*;



/**
 *  An AliveMessage serves as a heartbeat,
 *  confirming to the token leader that a client still functions.
 */
class AliveMessage extends Message {



final static int MTYPE = 14;	// type code for this message class



/**
 *  Constructor for synthesizing a new message.
 */
AliveMessage() {
    super(MTYPE);
}



/**
 *  Constructs a AliveMessage by reading from a Pickle.
 */
AliveMessage(Pickle p) {
    super(p);
}



}  // class AliveMessage
