//  ElectMessage.java -- for leader election


package topovista.toksvc;

import java.net.*;



/**
 *  A ElectMessage starts or supports a leader election round.
 */
class ElectMessage extends CouncilMessage {



final static int MTYPE = 2;	// type code for this message class



/**
 *  Constructor for synthesizing a new message.
 */
ElectMessage(int term, long msgnum) {
    super(MTYPE, term, msgnum);
}



/**
 *  Constructs an ElectMessage by reading from a Pickle.
 */
ElectMessage(Pickle p) {
    super(p);
}



}  // class ElectMessage
